/*
 * fragmentation_helpers.hpp
 *
 *  Created on: Oct 18, 2011
 *      Author: heber
 */

#ifndef FRAGMENTATION_FRAGMENTATION_HELPERS_HPP_
#define FRAGMENTATION_FRAGMENTATION_HELPERS_HPP_


#ifdef HAVE_CONFIG_H
#include <config.h>
#endif

#include <deque>
#include <vector>

#include "types.hpp"

typedef std::deque<int> KeyStack;

class AtomMask_t;
class Graph;
class KeySet;
class molecule;

void PrintAtomMask(const AtomMask_t &AtomMask, int AtomCount);

int CombineAllOrderListIntoOne(Graph &FragmentList, std::vector<Graph*> *&FragmentLowerOrdersList, KeyStack &RootStack, molecule *mol);
void FreeAllOrdersList(std::vector<Graph*> *&FragmentLowerOrdersList, KeyStack &RootStack, molecule *mol);

const std::vector<atomId_t> getGlobalIdsFromLocalIds(const molecule &mol, const std::vector<atomId_t> &atomids);

#endif /* FRAGMENTATION_FRAGMENTATION_HELPERS_HPP_ */
